﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TFT_Model.Entities;

namespace TFT_BizService
{
    public interface IAgvTaskService
    {
        public List<BizAgvTask> AgvTasks { get; set; }
        /// <summary>
        /// 监控AGV与PLC的交互：1、PLC给AGV的信息2、AGV给PLC的信息
        /// </summary>
        public void AgvMonitor();

        /// <summary>
        /// 检查status为0的任务，并下发任务到agv
        /// </summary>
        public void AgvTaskRun();
        /// <summary>
        /// 强制完成AGV任务
        /// </summary>
        public void TaskComplete();
    }
}
