﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TFT_Model.Entities;

namespace TFT_BizService
{
    public interface ISysRealTimeRunService
    {
        List<BasLoc> BasLocList { get; set; }
        List<BasPlcItem> BasPlcItemList { get; set; }
        /// <summary>
        /// 下料机上空卡
        /// </summary>
        public void LoadEmpty();
        /// <summary>
        /// 上料机上满卡
        /// </summary>
        public void LoadFull();
        /// <summary>
        /// 上料机下空卡
        /// </summary>
        public void UnloadEmpty();
        /// <summary>
        /// 下料机下满卡
        /// </summary>
        public void UnloadFull();

        public void TaskRun();
        public void TaskStop();
    }
}
