﻿using AutoMapper;
using TFT_BizService;
using Microsoft.Extensions.Logging;
using Prism.Commands;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TFT_Model.Other;
using TFT_PC_FrameWork.Views;

namespace TFT_PC_FrameWork.ViewModels
{
    [AutoInject(typeof(AgvTask), InjectTypeEnum.Singleton, true)]
    public class AgvTaskViewModel
    {
        private readonly ILogger _logger;
        private readonly IRegionManager _regionManager;
        private readonly IMapper _mapper;
        private readonly IAgvTaskService _agvTaskService;
        public AgvTaskViewModel(IRegionManager regionManager, ILogger logger, IMapper mapper, IAgvTaskService agvTaskService)
        {
            _regionManager = regionManager;
            _logger = logger;
            _mapper = mapper;
            _agvTaskService = agvTaskService;
        }

    }
}
