﻿using AutoMapper;
using TFT_BizService;
using Microsoft.Extensions.Logging;
using Prism.Commands;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TFT_Model.Other;
using TFT_PC_FrameWork.Views;

namespace TFT_PC_FrameWork.ViewModels
{
    [AutoInject(typeof(MesLoadData), InjectTypeEnum.Singleton, true)]
    public class MesLoadDataViewModel
    {
        private readonly ILogger _logger;
        private readonly IRegionManager _regionManager;
        private readonly IMapper _mapper;
        private readonly IMesLoadDataService _mesLoadDataService;
        public MesLoadDataViewModel(IRegionManager regionManager, ILogger logger, IMapper mapper, IMesLoadDataService mesLoadDataService)
        {
            _regionManager = regionManager;
            _logger = logger;
            _mapper = mapper;
            _mesLoadDataService = mesLoadDataService;
        }

    }
}
