﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using TFT_DbHelper;
using TFT_Model.Entities;
using TFT_Model.Other;

namespace TFT_BizService
{
    /// <summary>
    /// AGV任务管理 业务类
    /// </summary>
    [AutoInject(typeof(IAgvTaskService), InjectTypeEnum.Singleton, false)]
    public class AgvTaskService : IAgvTaskService
    {
        private readonly CancellationTokenSource tokenSource = new();
        private readonly List<Task> taskList = new();
        public List<BizAgvTask> AgvTasks { get; set; }
        public AgvTaskService()
        {

        }


        public void AgvMonitor()
        {
            taskList.Add(Task.Factory.StartNew(() => { 
                
            }, tokenSource.Token, TaskCreationOptions.LongRunning, TaskScheduler.Default));
        }

        public void AgvTaskRun()
        {
            taskList.Add(Task.Factory.StartNew(() => {
                while (true)
                {
                    AgvTasks = DbHelper.Db.Queryable<BizAgvTask>().ToList();
                }
            }, tokenSource.Token, TaskCreationOptions.LongRunning, TaskScheduler.Default));
        }

        public void TaskComplete()
        {
            throw new NotImplementedException();
        }
    }
}
