﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TFT_PC_FrameWork.Assets
{
    public static class AssetHelper
    {
        public static List<FontAsset> FontAssetList = new();
        public static void InitAssets()
        {
            FontAssetList.Add(new FontAsset { name = "Font-监控管理", icon = "\ue663" });
            FontAssetList.Add(new FontAsset { name = "Font-业务管理", icon = "\ue63e" });
            FontAssetList.Add(new FontAsset { name = "Font-MES接口", icon = "\ue662" });
            FontAssetList.Add(new FontAsset { name = "Font-最大化全屏", icon = "\ue65e" });
            FontAssetList.Add(new FontAsset { name = "Font-最大化正常", icon = "\ue65f" });
        }

        public static string FindIcon(string fontKey)
        {
            var md = FontAssetList.FirstOrDefault(x => x.name.Contains(fontKey));
            if (md != default)
            {
                return md.icon;
            }
            return string.Empty;
        }
    }
    public class FontAsset
    {
        public string name { get; set; }
        public string icon { get; set; }
    }
}
