﻿using AutoMapper;
using TFT_BizService;
using Microsoft.Extensions.Logging;
using Prism.Commands;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TFT_Model.Other;
using TFT_PC_FrameWork.Views;
using TFT_Model.Entities;
using TFT_DbHelper;

namespace TFT_PC_FrameWork.ViewModels
{
    [AutoInject(typeof(MesUnLoadData), InjectTypeEnum.Singleton, true)]
    public class MesUnLoadDataViewModel
    {
        private readonly ILogger _logger;
        private readonly IRegionManager _regionManager;
        private readonly IMapper _mapper;
        private readonly IMesUnLoadDataService _mesUnLoadDataService;


        public MesUnLoadDataViewModel(IRegionManager regionManager,
                                      ILogger logger,
                                      IMapper mapper,
                                      IMesUnLoadDataService mesUnLoadDataService)
        {
            _regionManager = regionManager;
            _logger = logger;
            _mapper = mapper;
            _mesUnLoadDataService = mesUnLoadDataService;
        }

    }
}
